### Function

# Gio content_type_from_mime_type

since: 2.18

#### Declaration

    gchar*
    g_content_type_from_mime_type (
      const gchar* mime_type
    )

#### Description

Tries to find a content type based on the mime type name.

Available since: 2.18

#### Parameters

`mime_type`

  Type: `const gchar*`

  A mime type string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

Newly allocated string with content type or `NULL`. Free with g_free().

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.